Summary: Graphical launcher for the FlightGear flight simulator
Name: fgrun
Version: 1.7.0
Release: %mkrel 5
Source0: http://prdownloads.sourceforge.net/fgrun/%{name}-%{version}.tar.gz
Patch0:  fgrun-1.7.0-fedora-build-fgrun-with-static-ui-libs.patch
Patch1:  fgrun-1.6.1-fedora-fix-crash-when-setting-defaults.patch
Patch2:  fgrun-1.6.2-default-settings-for-mageia.patch
Patch3:  fgrun-1.6.2-fedora-fix-reloadpath-logic.patch
Patch4:  fgrun-1.6.2-fix-strings.patch
License: GPLv2
Group: 	 Games/Simulation
URL: 	 http://sourceforge.net/projects/fgrun/
BuildRequires: cmake
BuildRequires: plib-devel
BuildRequires: fltk-devel >= 1.3.0
BuildRequires: imagemagick 
BuildRequires: simgear-devel >= 2.8.0
BuildRequires: openscenegraph-devel >= 3.0.0
BuildRequires: gettext
BuildRequires: boost-devel
Requires: flightgear >= 2.8.0

%description
fgrun is a graphical launcher for the FlightGear flight simulator.

%prep
%setup -qn fg-fgrun
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_sysconfdir}/fltk/flightgear.org
install -m 0644 fgrun.prefs \
        %{buildroot}%{_sysconfdir}/fltk/flightgear.org/fgrun.prefs
%find_lang %{name}

mkdir %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment= Graphical launcher for the FlightGear flight simulator
Exec=fgrun
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Simulation;
EOF

%{__install} -d %{buildroot}{%{_miconsdir},%{_liconsdir}}
convert flightgear.ico flightgear.png 
%{__install} flightgear-1.png %{buildroot}%{_miconsdir}/%{name}.png
%{__install} flightgear-0.png %{buildroot}%{_iconsdir}/%{name}.png
%{__install} flightgear-3.png %{buildroot}%{_liconsdir}/%{name}.png

%files -f %{name}.lang 
%doc README COPYING NEWS AUTHORS
%{_bindir}/fgrun
%dir %{_sysconfdir}/fltk
%dir %{_sysconfdir}/fltk/flightgear.org
%{_sysconfdir}/fltk/flightgear.org/fgrun.prefs
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png


%changelog
* Mon Dec 16 2013 zezinho <zezinho> 1.7.0-5.mga4
+ Revision: 557338
- rebuild for new flightgear

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 536579
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 fwang <fwang> 1.7.0-3.mga4
+ Revision: 484713
- rebuild for new simgear

* Tue Jul 09 2013 fwang <fwang> 1.7.0-2.mga4
+ Revision: 451776
- rebuild for new boost

* Mon Mar 04 2013 fwang <fwang> 1.7.0-1.mga3
+ Revision: 401376
- apply all patches
- apply prefix patch

* Mon Mar 04 2013 fwang <fwang> 1.7.0-0.mga3
+ Revision: 401350
- apply patch4
- port static lib patch
- new version 1.7.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - updated RPM group

  + shadow95 <shadow95>
    - update BuildRequires with boost-devel & plib-devel
    - update to new version 1.6.2

  + zezinho <zezinho>
    - buildrequires cmake
    - new version

* Wed Sep 12 2012 shadow95 <shadow95> 1.6.0-3.mga3
+ Revision: 293254
- rebuild for new simgear and new OpenSceneGraph

* Mon Nov 14 2011 shadow95 <shadow95> 1.6.0-2.mga2
+ Revision: 167835
- Release 1.6.0
- add find_lang
- Fix menu bug with lost line Exec in file desktop
- imported package fgrun

